/**
  *  \file planetscentral/host/cmdsched.h
  *  \brief Host: SCHEDULE commands
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_CMDSCHED_H
#define C2SERVER_PLANETSCENTRAL_HOST_CMDSCHED_H

class HostConnection;
class IntArgBlock;
class IntValue;
class DbHash;

IntValue* packSchedule(DbHash h);

void doScheduleAdd(HostConnection& conn, IntArgBlock& args);
void doScheduleSet(HostConnection& conn, IntArgBlock& args);
void doScheduleModify(HostConnection& conn, IntArgBlock& args);
void doScheduleList(HostConnection& conn, IntArgBlock& args);
void doScheduleDrop(HostConnection& conn, IntArgBlock& args);
void doScheduleShow(HostConnection& conn, IntArgBlock& args);

#endif
