/**
  *  \file planetscentral/host/exec.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_EXEC_H
#define C2SERVER_PLANETSCENTRAL_HOST_EXEC_H

#include "cpluslib/types.h"
#include "cpluslib/string.h"

class Runner;
class DbClient;
class ReconnectingConnection;

string_t exportEnvironment(DbClient& dbConnection, int32_t gameId);

void runHost(Runner& hostRunner, DbClient& dbConnection, ReconnectingConnection& dbLock, int32_t gameId);
void runMaster(Runner& hostRunner, DbClient& dbConnection, ReconnectingConnection& dbLock, int32_t gameId);

#endif
