/**
  *  \file planetscentral/talk/talk.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_TALK_TALK_H
#define C2SERVER_PLANETSCENTRAL_TALK_TALK_H

#include "cpluslib/string.h"

class Mutex;
class DbReadyClient;
class ReconnectingConnection;
class MailClient;

extern Mutex output_mutex;
extern DbReadyClient database_connection;
extern ReconnectingConnection database_rc;
extern MailClient mail_connection;
extern ReconnectingConnection mail_rc;
extern string_t msgid_suffix;
extern string_t www_prefix;

#endif
